Next: Named Constants Up: Sparse Matrix class Previous: get_fmt Short Contents

### is_bld, is_upd, is_asb -- Status check

    if (a%is_bld()) then
    if (a%is_upd()) then
    if (a%is_asb()) then

Type:
  Asynchronous.
On Entry
a
  the sparse matrix
  Scope: local

On Return
Function value
  A `logical` value indicating whether the matrix is in the Build, Update or Assembled state, respectively.